#include <stdio.h>
#include "grader.h"
#include <assert.h>

static int DIM[2];
static int R[500][500];
static int G[500][500];
static int B[500][500];


void __grader_init(int dim[2],
    int R[500][500], int G[500][500], int B[500][500]){
    int i,j;
    assert(scanf("%d",&dim[1]) == 1);
    assert(scanf("%d",&dim[0]) == 1);
    for (i = 0; i < dim[0]; i++)
        for (j = 0; j < dim[1]; j++)
            assert(scanf("%d %d %d",&R[i][j], &G[i][j], &B[i][j]) == 3);
}


int _main(styleFunction style) {
    __grader_init(DIM, R, G, B);
    if (DIM[0] == -1){
        printf("-1\n");
        return 0;
    }
    printf("%d\n", style(DIM[0], DIM[1], R, G, B));
    return 0;
}
